"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateCanyon = void 0;
var _fs = _interopRequireDefault(require("fs"));
var _path = _interopRequireDefault(require("path"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function convertKeysToCamelCase(obj) {
  return {
    projectID: obj.PROJECT_ID,
    buildID: obj.BUILD_ID,
    dsn: obj.DSN,
    instrumentCwd: obj.INSTRUMENT_CWD,
    reporter: obj.REPORTER,
    commitSha: obj.COMMIT_SHA,
    sha: obj.COMMIT_SHA,
    reportID: obj.REPORT_ID,
    compareTarget: obj.COMPARE_TARGET,
    branch: obj.BRANCH,
    version: obj.VERSION
  };
}
const generateCanyon = canyon => {
  const filePath = './.canyon_output/canyon.json';
  const dir = _path.default.dirname(filePath);
  if (!_fs.default.existsSync(dir)) {
    _fs.default.mkdirSync(dir, {
      recursive: true
    });
  }
  // 如果不存在则创建
  if (!_fs.default.existsSync(filePath)) {
    _fs.default.writeFileSync(filePath, JSON.stringify(convertKeysToCamelCase(canyon), null, 2), 'utf-8');
  }
};
exports.generateCanyon = generateCanyon;